<?php

namespace Shpopping\Category\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('shpopping_category_categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'shpopping.category.category.view',
                'name'      => 'View Category',
            ],
            [
                'slug'      => 'shpopping.category.category.create',
                'name'      => 'Create Category',
            ],
            [
                'slug'      => 'shpopping.category.category.edit',
                'name'      => 'Update Category',
            ],
            [
                'slug'      => 'shpopping.category.category.delete',
                'name'      => 'Delete Category',
            ],
            
                        [
                'slug'      => 'shpopping.category.category.verify',
                'name'      => 'Verify Category',
            ],
            [
                'slug'      => 'shpopping.category.category.approve',
                'name'      => 'Approve Category',
            ],
            [
                'slug'      => 'shpopping.category.category.publish',
                'name'      => 'Publish Category',
            ],
            [
                'slug'      => 'shpopping.category.category.unpublish',
                'name'      => 'Unpublish Category',
            ],
            [
                'slug'      => 'shpopping.category.category.cancel',
                'name'      => 'Cancel Category',
            ],
            [
                'slug'      => 'shpopping.category.category.archive',
                'name'      => 'Archive Category',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/category/category',
                'name'        => 'Category',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/category/category',
                'name'        => 'Category',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'category',
                'name'        => 'Category',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Category',
                'module'    => 'Category',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'shpopping.category.category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
