<?php

namespace Shpopping\Category\Policies;

use Shpopping\Category\Models\Category;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CategoryAction
{

    /**
     * Determine if the given user can copy the given category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Category $category)
    {

        if ($authUser->canDo('category.category.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Category $category) {

        if ($authUser->canDo('category.category.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Category $category)
    {

        if ($authUser->canDo('category.category.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
